Bug 37851 - pam_access doesn't has a broken implementation for handling internet addresses
Summary: pam_access doesn't has a broken implementation for handling internet addresses
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-26 15:12 UTC by Arenas Belon, Carlo Marcelo
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-26 15:14:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes buffer size, adds trailing dot to the test (874 bytes, patch)
2001-04-26 15:14 UTC, Arenas Belon, Carlo Marcelo
no flags Details | Diff

Description Arenas Belon, Carlo Marcelo 2001-04-26 15:12:35 UTC
a broken implementation of the funcion from_match on pam_access can make
tests on ip address to fail.

if using (on /etc/security/access.conf) something like :

*:user:200.48.36.195.
*:user:200.48.115.55.
-:user:ALL

the test for a connection from ip address 20.48.36.195 doesn't result on a
connect.

attached patch that helps the problem

Comment 1 Arenas Belon, Carlo Marcelo 2001-04-26 15:14:05 UTC
Created attachment 16505 [details]
fixes buffer size, adds trailing dot to the test

Comment 2 Nalin Dahyabhai 2001-08-31 00:59:24 UTC
This should be fixed in pam-0.75-2 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.